Subject: [Ecrit] Comments on draft-ietf-ecrit-local-emergency-rph-namespace-03

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Fri, 27 Mar 2009 01:16:56 +0100

Aside from some editorials, I have the following comments on the latest revision of this document:

1)	Remove the abbreviation RPH. It is never used alone and not a real abbreviation associated with this header field.

2)	Align the abstract and introduction text with RFC 5478.

3)	Section 1:

   Within controlled environments, such as an IMS infrastructure or 
   Emergency Services network (ESInet), where misuse can be reduced to 
   a minimum because these types of networks have great controls in 
   place, this namespace can be to provide an explicit priority 
   indication that facilitates differing treatment of emergency SIP 
   messages according to local policy, or more likely, a contractual 
   agreement between the network organizations.  This indication is 
   used to differentiate SIP requests, or dialogs, from other requests 
   or dialogs that do not have the need for priority treatment.

I would suggest inserting the word "solely" before "to differentiate SIP requests". It is not used outside the scope of the Resource-Priority header field.

4)	Section 1:

   It can also be imagined that Voice Service Providers (VSP) directly 
   attached to an ESInet can have a trust relationship with the ESInet 
   such that within these networks, SIP requests (thereby the session 
   they establish) make use of this "esnet" namespace for appropriate 
   treatment.

The use of the term VSP throughout the document gives the impression that this is only intended for voice emergency calls. It can be used on any SIP request that relates to an emergency call. Can we preface this sentence with "As an example" and check other usages in the document.

5)	Section 1:

   Usage of the "esnet" namespace is to be defined in a future 
   document(s). 

I think this prejudges what other standardisation is required. I do not believe another document is required and certainly we do not have one chartered. I would prefer to remove this sentence. If the solution is not this simple, then at least replace it with "Usage of the namespace is governed by agreements between domains, in accordance with the guidance already given in RFC 4412" or something like this.

6)	Section 2:

   This document updates the behaviors of the SIP Resource Priority 
   header, defined in [RFC4412], during the treatment options 
   surrounding this new "esnet" namespace only. 

I think the use of the word "updates" here is a poor choice, as it does not update RFC 4412, nor indeed does it really provide any additional normative behaviour on the Resource-Priority header field.

7)	Section 3.2:

This section discusses preemption. I would prefer to just say: 

"The namespace definition has to indicate whether the namespace is preemption or priority. It is envisages that use of this namespace is primarily priority, however in accordance with the current practice of some regulatory bodies, preemption of emergency calls is permitted by this namespace definition. Such preemption is not defined further in this document."

I will send the editorials directly to James.

regards

Keith